petsc-3.12.1 2019-10-22
Report Typos and Errors

# SNESGetRhs

Gets the vector for solving F(x) = rhs. If rhs is not set it assumes a zero right hand side.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESGetRhs(SNES snes,Vec *rhs)

Logically Collective on SNES

### Input Parameter

snes -the SNES context

### Output Parameter

rhs -the right hand side vector or NULL if the right hand side vector is null

### See Also

SNESGetSolution(), SNESGetFunction(), SNESComputeFunction(), SNESSetJacobian(), SNESSetFunction()

### Level

intermediate

### Location

src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages